GNUNET-DIRECTORY(1)

NAME
gnunet-directory - display directories

SYNOPSIS
gnunet-directory [-c FILENAME | --config=FILENAME] [-h | --help] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-v | --version] <FILENAME>

DESCRIPTION
gnunet-directory lists the contents of one or more GNUnet directories. A GNUnet directory is a binary file that contains a list of GNUnet file-sharing URIs and meta data. The names of the directory files must be passed as command-line arguments to gnunet-directory. The options are as follows:

-c FILENAME | --config=FILENAME
    Configuration file to use. This option is useless, since gnunet-directory does not really depend on any configuration options.

-h | --help
    Print the help page.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Change the loglevel. Possible values for LOGLEVEL are ERROR, WARNING, INFO and DEBUG.

-v | --version
    Print the version number.

  NOTES
A GNUnet directory is a file containing a list of GNUnet URIs and meta data. The keys can point to files, other directories or files in namespaces. In other words, a GNUnet directory is similar to UNIX directories. The difference to tar and zip is that GNUnet directory does not contain the actual files (except if they are really small, in which case they may be inlined), just symbolic (links), similar to directories with symbolic links in UNIX filesystems. The benefit is that the individual files can be retrieved separately (if desired) and if some of the files are inserted to another node in GNUnet, this just increases their availability but does not produce useless duplicates (for example, it is a better idea to publish a collection of pictures or compressed sound files using a GNUnet directory instead of processing them with archivers such as tar or zip first). Directories can contain arbitrary meta data for each file.

If a directory has missing blocks (for example, some blocks failed to download), GNUnet is typically able to retrieve information about other files in the directory. Files in a GNUnet directory have no particular order; the GNUnet code that generates a directory can reorder the entries in order to better fit the information about files into blocks of 32k. Respecting 32k boundaries where possible makes it easier for gnunet-directory (and other tools) to recover information from partially downloaded directory files.

At the moment, directories can be created by gnunet-fs-gtk(1), and gnunet-publish(1). Just like ordinary files, a directory can be published in a namespace.

GNUnet directories use the (unregistered) mimetype "application/gnunet-directory". They can show up among normal search results. The directory file can be downloaded to disk by gnunet-download(1) for later processing or be handled more directly by gnunet-fs-gtk(1).

SEE ALSO
gnunet-download(1), gnunet-fs-gtk(1), gnunet-publish(1), gnunet-search(1)

The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.